Subject: [PATCH] community/libtorrent-rasterbar: use c++17

From: Wolf <[email-masked]>
Date: Thu, 25 Nov 2021 12:33:01 +0100

---
Segfaults when using the default c++ standard (14). There is a upstream
bug report stating that using 17 fixes the crash, and I can confirm
that is the case for me as well.

I will report to upstream later when I have a reproduction example.

This should go to 3.15 as well. Not sure how to send a patch against it.

 community/libtorrent-rasterbar/APKBUILD | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/community/libtorrent-rasterbar/APKBUILD b/community/libtorrent-rasterbar/APKBUILD
index 380536eccf..211446f209 100644
--- a/community/libtorrent-rasterbar/APKBUILD
+++ b/community/libtorrent-rasterbar/APKBUILD
@@ -2,7 +2,7 @@
 # Maintainer: August Klein <[email-masked]>
 pkgname=libtorrent-rasterbar
 pkgver=1.2.14
-pkgrel=2
+pkgrel=3
 pkgdesc="Feature complete C++ bittorrent implementation"
 url="https://www.rasterbar.com/products/libtorrent"
 arch="all !armv7 !aarch64 !x86" # on aarch64 and x86 failed to build
@@ -28,7 +28,7 @@ build() {
 		--localstatedir=/var \
 		--enable-python-binding \
 		--with-boost-system=boost_python$_py3ver \
-		--with-std=c++14
+		--with-cxx-standard=17
 	make
 }
 
-- 
2.33.1